# To reproduce the data needed for Figure 3 (left panel) in associated Physiome paper,
# execute this script in the Python console in OpenCOR. This can be done
# with the following commands at the prompt in the OpenCOR Python console:
#
#     In [1]: cd path/to/folder_this_file_is_in
#     In [2]: %run Fig03(L).py
#

import opencor as opencor

simulation = opencor.open_simulation("Fig03(L).sedml")

# reset everything in case we are running interactively and have existing results
simulation.reset(True)

# clear the results
simulation.clear_results()

# and run the steady-state simulation
simulation.run()

# remove the sarcolemmal calcium transporters and re-run
simulation.reset(True)
simulation.data().constants()["wal_environment/theta"] = 0.0
simulation.run()